> ## Name

> MaterialEmissive - 3D API material emissive

> ## Usage

> MaterialEmissive = float4(r, g, b, a)

> ## Valid Enumerants

> r, g, b, a: floating point values

> ## Description

> Specify the materials emmisive light intensity. See the GL_EMISSION description on the OpenGL glMaterial manual page for details. See the D3DRS_EMISSIVEMATERIALSOURCE render state description for DirectX 9.

> The standard reset callback sets the MaterialEmissive state to float4(0, 0, 0, 1).

> ## Opengl Functionality Requirements

> OpenGL 1.0

> ## Direct3D Functionality Requirements

> DirectX 9

> ## See Also

> AmbientMaterialSource, ColorMaterial, DiffuseMaterialSource, EmissiveMaterialSource, MaterialAmbient, MaterialDiffuse, MaterialEmission, MaterialPower, MaterialShininess, MaterialSpecular, SpecularMaterialSource